ASTComment (Velocity 1.4 API)
Keywords: org.apache.velocity.runtime.parser.node.ASTComment class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser.node
Class ASTComment

    java.lang.Object
      org.apache.velocity.runtime.parser.node.SimpleNode
          org.apache.velocity.runtime.parser.node.ASTComment

All Implemented Interfaces:
  Node

public class ASTComment
extends SimpleNode

Represents all comments...

Version:
  $Id: ASTComment.java,v 1.5.4.1 2004/03/03 23:22:58 geirm Exp $
Author:
  Geir Magnusson Jr.

Field Summary
`private char[]` | `carr`
`private static char[]` | `ZILCH`

Fields inherited from class org.apache.velocity.runtime.parser.node.SimpleNode
`children, first, id, info, invalid, last, parent, parser, rsvc, state`

Constructor Summary
`ASTComment(int id)`
`ASTComment(Parser p, int id)`

Method Summary
`java.lang.Object` | `init(InternalContextAdapter context, java.lang.Object data)` We need to make sure we catch any of the dreaded MORE tokens.
`java.lang.Object` | `jjtAccept(ParserVisitor visitor, java.lang.Object data)` Accept the visitor.
`boolean` | `render(InternalContextAdapter context, java.io.Writer writer)`

Methods inherited from class org.apache.velocity.runtime.parser.node.SimpleNode
`childrenAccept, dump, evaluate, execute, getColumn, getFirstToken, getInfo, getLastToken, getLine, getType, isInvalid, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, literal, setFirstToken, setInfo, setInvalid, toString, value`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ZILCH

    private static final char[] ZILCH

### carr

    private char[] carr

Constructor Detail

### ASTComment

    public ASTComment(int id)

### ASTComment

    public ASTComment(Parser p,
                      int id)

Method Detail

### jjtAccept

    public java.lang.Object jjtAccept(ParserVisitor visitor,
                                      java.lang.Object data)

  Accept the visitor.

  Specified by:
    `jjtAccept` in interface `Node`
  Overrides:
    `jjtAccept` in class `SimpleNode`

### init

    public java.lang.Object init(InternalContextAdapter context,
                                 java.lang.Object data)
                          throws java.lang.Exception

  We need to make sure we catch any of the dreaded MORE tokens.

  Specified by:
    `init` in interface `Node`
  Overrides:
    `init` in class `SimpleNode`
  Throws:
    `java.lang.Exception`

### render

    public boolean render(InternalContextAdapter context,
                          java.io.Writer writer)
                   throws java.io.IOException,
                          MethodInvocationException,
                          ParseErrorException,
                          ResourceNotFoundException

  Specified by:
    `render` in interface `Node`
  Overrides:
    `render` in class `SimpleNode`
  Throws:
    `java.io.IOException`
    `MethodInvocationException`
    `ParseErrorException`
    `ResourceNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.